Bug 92155 - RH9 Install Boot fails on ThinkPad A21p - need to enable expand screen in BIOS
RH9 Install Boot fails on ThinkPad A21p - need to enable expand screen in BIOS
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
: 92156 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-03 09:57 EDT by Iain Campbell
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 02:01:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iain Campbell 2003-06-03 09:57:09 EDT
Description of problem: 
Boot of RH9 from CD or diskette fails on ThinkPad A21p (PIII 850, 384 mB RAM, ATI 
Rage 128 Mobility), making it impossible to install or upgrade to RH9. Kernel loads 
and configures OK, then when /sbin/loader runs, the system locks solid - cannot 
get to anaconda at all.  
 
Firmware on the suspect machine is at latest level - media used has been tested 
(boot linux mediacheck) and works OK on other machines. 
 
Version-Release number of selected component (if applicable): RH9 
 
 
How reproducible:  100% (unfortunately 8-( 
 
 
Steps to Reproduce: 
1. Boot from CD or diskette boot image 
2. 
3. 
     
Actual results: System locks solid - blank screen - just after /sbin/loader invoked. 
 
 
Expected results: 
 
 
Additional info:
Comment 1 Bill Nottingham 2003-06-04 17:48:13 EDT
*** Bug 92156 has been marked as a duplicate of this bug. ***
Comment 2 Michael Fulbright 2003-06-10 16:55:01 EDT
Is it possible to disable the USB Legacy Emulation in your BIOS?
Comment 3 Iain Campbell 2003-06-10 17:00:57 EDT
Possible fix - ensure that the "expand screen" option is ENABLED in the BIOS. If 
expand screen is turned off, it appears that when the installer loads it switches to 
using the external video out. You can still proceed by using the <Fn><F7> key 
sequence twice to explicitly switch to using the LCD panel display. This behaviour 
has also been reported on the A30 ThinkPad, which uses the Radeon chipset.  
Comment 4 Michael Fulbright 2003-06-12 15:50:10 EDT
Thanks for figuring this out!

Will forward this issue to the X component.
Comment 7 Mike A. Harris 2004-10-01 02:01:00 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.